summaryrefslogtreecommitdiff
path: root/makefile/preflighting/linux/appvalidator.sh
diff options
context:
space:
mode:
Diffstat (limited to 'makefile/preflighting/linux/appvalidator.sh')
-rw-r--r--makefile/preflighting/linux/appvalidator.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/makefile/preflighting/linux/appvalidator.sh b/makefile/preflighting/linux/appvalidator.sh
new file mode 100644
index 0000000..082d449
--- /dev/null
+++ b/makefile/preflighting/linux/appvalidator.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+wdir=`dirname $0`
+
+[ -e $wdir/motodevstudio ] && exe="motodevstudio" || exe="eclipse"
+
+$wdir/$exe -nosplash --launcher.suppressErrors -nl en -application com.motorolamobility.preflighting.MOTODEVApplicationValidator $@ -vmargs -Xms128m -Xmx512m -Declipse.exitdata=""
+err=$?
+
+exit $err \ No newline at end of file